USERINFO(8)

NAME
userinfo - displays user information

SYNOPSIS
userinfo [-e] user

DESCRIPTION
The userinfo utility retrieves the user information from the system. The userinfo utility is only available if built with EXTENSIONS. See user(8) for more information.

The following command line option is recognised:

-e  Return 0 if the user exists, and non-zero if the user does not exist, on the system. No information is displayed. This form of the command is useful for scripts which need to check whether a particular user name or uid is already in use on the system.

The user argument may either be a user's name, or a uid.

EXIT STATUS

SEE ALSO
passwd(5), group(8), user(8), useradd(8), userdel(8)

HISTORY
The userinfo utility first appeared in NetBSD 1.5. It is based on the addnerd package by the same author.

AUTHORS
The userinfo utility was written by Alistair G. Crooks <agc@NetBSD.org>.